Skip to main content
Update edge network instance
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

Body

application/json

Network instance provides Edge applications a variety of connectivity choices for all types of networks. This enables logical secure connectivity between Edge applications within a single Edge node and within a logical group of Edge nodes. This provides detailed configuration of a Network instance.

id
string
required

System defined universally unique Id of the network instance

Pattern: [0-9A-Za-z-]+
name
string
required

User defined name of the network instance, unique across the enterprise. Once object is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the network instance. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
deviceId
string
required

id of the device on which network instance is created

port
string
required

name of port mapping in the model

kind
enum<string>
default:NETWORK_INSTANCE_KIND_UNSPECIFIED
required

Kind of Network Instance ( Local, Switch etc )

Available options:
NETWORK_INSTANCE_KIND_UNSPECIFIED,
NETWORK_INSTANCE_KIND_TRANSPARENT,
NETWORK_INSTANCE_KIND_SWITCH,
NETWORK_INSTANCE_KIND_LOCAL,
NETWORK_INSTANCE_KIND_CLOUD,
NETWORK_INSTANCE_KIND_MESH,
NETWORK_INSTANCE_KIND_HONEYPOT
description
string

Detailed description of the network instance

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info for the object

projectId
string

id of the project in which network instance is created

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

clusterID
string

id of the Cluster in which the network instance is configured

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
portTags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

dhcp
boolean

Deprecated

type
enum<string>
default:NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED

Type of DHCP for this Network Instance

Available options:
NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED,
NETWORK_INSTANCE_DHCP_TYPE_V4,
NETWORK_INSTANCE_DHCP_TYPE_V6,
NETWORK_INSTANCE_DHCP_TYPE_CRYPTOEID,
NETWORK_INSTANCE_DHCP_TYPE_CRYPTOV4,
NETWORK_INSTANCE_DHCP_TYPE_CRYPTOV6
ip
object

Dhcp Server Configuration

dnsList
Static DNS list · object[]

List of Static DNS entries

oconfig
string
lisp
Lisp Configurations · object

Lisp Config : read only for now. Deprecated.

opaque
object

Service specific Config

deviceDefault
boolean

flag to indicate if this is the default network instance for the device

networkPolicyId
string

id of the network policy to be attached to this network instance

propagateConnectedRoutes
boolean

Automatically propagate connected routes

staticRoutes
Static IP Routes · object[]

List of Static IP routes

mtu
integer<int64>

Maximum transmission unit (MTU) to set for the network instance and all application interfaces connected to it

edgeNodeCluster
object

Edge Node Cluster

forwardLldp
boolean

enable/disable lldp frame forward

Response

A successful response.

operationType
enum<string>
default:OPS_TYPE_UNSPECIFIED
Available options:
OPS_TYPE_UNSPECIFIED,
OPS_TYPE_READ,
OPS_TYPE_DELETE,
OPS_TYPE_CREATE,
OPS_TYPE_UPDATE,
OPS_TYPE_LIST
operationStatus
enum<string>
default:OPS_STATUS_UNSPECIFIED
  • OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
  • OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
  • OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED,
OPS_STATUS_PENDING,
OPS_STATUS_ONGOING,
OPS_STATUS_COMPLETE
objectKind
string
objectId
string
objectName
string
objectRevision
string
objectType
enum<string>
default:OBJECT_TYPE_UNSPECIFIED
Available options:
OBJECT_TYPE_UNSPECIFIED,
OBJECT_TYPE_USER,
OBJECT_TYPE_EDGE_NODE,
OBJECT_TYPE_EDGE_APP,
OBJECT_TYPE_IMAGE,
OBJECT_TYPE_EDGE_APP_INSTANCE,
OBJECT_TYPE_PROJECT,
OBJECT_TYPE_NETWORK,
OBJECT_TYPE_DATASTORE,
OBJECT_TYPE_SERVICE,
OBJECT_TYPE_SERVICE_INSTANCE,
OBJECT_TYPE_ENTERPRISE,
OBJECT_TYPE_ROLE,
OBJECT_TYPE_CREDENTIAL,
OBJECT_TYPE_NETWORK_INSTANCE,
OBJECT_TYPE_VOLUME_INSTANCE,
OBJECT_TYPE_REALM,
OBJECT_TYPE_AUTHPROFILE,
OBJECT_TYPE_POLICY,
OBJECT_TYPE_APP_POLICY,
OBJECT_TYPE_CLUSTER_INSTANCE,
OBJECT_TYPE_PLUGIN,
OBJECT_TYPE_DOC_POLICY,
OBJECT_TYPE_ORCHESTRATOR_CLUSTER,
OBJECT_TYPE_TAGS,
OBJECT_TYPE_EDGE_NODE_INTERFACE,
OBJECT_TYPE_DEPLOYMENT,
OBJECT_TYPE_ENTITLEMENTS,
OBJECT_TYPE_DATA_STREAM,
OBJECT_TYPE_API_USAGE,
OBJECT_TYPE_APP_INSTANCE_SNAPSHOT,
OBJECT_TYPE_PATCH_ENVELOPE,
OBJECT_TYPE_RESOURCE_USAGE_TRACK,
OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE,
OBJECT_TYPE_DEV_PASSTHROUGH,
OBJECT_TYPE_EDGE_NODE_CLUSTER,
OBJECT_TYPE_ASSET_GROUP,
OBJECT_TYPE_APP_PROFILE,
OBJECT_TYPE_PROFILE_DEPLOYMENT,
OBJECT_TYPE_ZKS_INSTANCE,
OBJECT_TYPE_CLUSTER_GROUP
operationTime
string
startTime
string
endTime
string
user
string
httpStatusCode
integer<int32>
httpStatusMsg
string
jobId
string
error
one or more errors will be set if the operation failed i.e. httpStatusCode != 2xx · object[]